summaryrefslogtreecommitdiff
path: root/dev-python/blessed
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-30 03:04:47 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-30 03:04:47 -0500
commit12f44434dede883e1d33b5470fb17a1b873107cd (patch)
treed70b3d9a48522beda675dd8b775a19eba17742c5 /dev-python/blessed
parent1c2bb144efdfa7abb1e6ff9c0dc1f10c01eb43d1 (diff)
downloadbaldeagleos-repo-12f44434dede883e1d33b5470fb17a1b873107cd.tar.gz
baldeagleos-repo-12f44434dede883e1d33b5470fb17a1b873107cd.tar.xz
baldeagleos-repo-12f44434dede883e1d33b5470fb17a1b873107cd.zip
Adding metadata
Diffstat (limited to 'dev-python/blessed')
-rw-r--r--dev-python/blessed/Manifest1
-rw-r--r--dev-python/blessed/blessed-1.45.0.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index f69d7e485b88..8a75235be849 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1,3 +1,4 @@
DIST blessed-1.39.0.tar.gz 14011417 BLAKE2B d2eec5e8bf8d53f2889c0b33babedadeb65a91b03de5300c3d1b8c7d3892a179342995185dae25f66db227973e84b2ca028c543613466dc3befe7cda943d7de1 SHA512 0af3ab46eb16f94985702f749d3146d570de95f21d7deb3113f80dec795fb4f786b4f4838e67297be80a056635a06c11f4b1f6cb6697d4d389077be29d3fbb25
DIST blessed-1.42.0.tar.gz 14025805 BLAKE2B cc2b5b7d7df05615daf4049daac637150aa76c527139778cd17aab7f016ee608ec43fae5a2b53fa33d01c37a9c53cf80c7ec99472dbdefcfadcf6924b8b7939f SHA512 87b22066ef950c2a4f6637e9103cca74ab6933c7e74156672c7c0616f38b97998e296cc2607f0326d99f81a704c29cf109d9ac68c5e9b09cb492190386f5f743
DIST blessed-1.44.0.tar.gz 14031337 BLAKE2B e8d2aa64dfedca67dbbdf236a577ab3c3f7b221dfedbf4db68189b775aa690fc1f74595f9f5b5762497f92c0cb1f968a37691b861be71276871d61498c6169e8 SHA512 07f6dbd15e315fe71bd97f795b4a5e739f10566ad14267d8bbcefe7085cdebb5c2cc1d285441e1ddc04831ef9caa09ac2e5dd9ca61222cda26081d56a2e2759a
+DIST blessed-1.45.0.tar.gz 14032801 BLAKE2B 65575ba3075fddf46068b9c6c8c476592d3d3d2e28ce6f62ed50d15dc10e7aa9e7c1a000c826a70a0384efaafbfd56fb8dddae39ad72498a2708870ac70fc2b5 SHA512 cb0731d4713a729c53d7e3d79ee03fc4e4ffc96e74f13fcb9b36ce9e365baf8ea05e450798c126647b59ee132e8be6322061a69dd6cd987349ce7e339b4961be
diff --git a/dev-python/blessed/blessed-1.45.0.ebuild b/dev-python/blessed/blessed-1.45.0.ebuild
new file mode 100644
index 000000000000..af48be172049
--- /dev/null
+++ b/dev-python/blessed/blessed-1.45.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and positioning"
+HOMEPAGE="
+ https://github.com/jquast/blessed/
+ https://pypi.org/project/blessed/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/jinxed-2.0[${PYTHON_USEDEP}]
+ >=dev-python/wcwidth-0.8.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+EPYTEST_PLUGINS=()
+# tests are flaky with xdist
+distutils_enable_tests pytest
+
+# README.rst is a symlink to docs/
+DOCS=()
+
+python_prepare_all() {
+ # Skip those extensions as they don't have a Gentoo package
+ # Remove calls to scripts that generate rst files because they
+ # are not present in the tarball
+ sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+ -e '/^for script in/,/runpy.run_path/d' \
+ -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to timing
+ tests/test_sixel.py::test_sixel_height_and_width_fallback_to_xtwinops
+ )
+
+ # COLORTERM must not be truecolor
+ # See https://github.com/jquast/blessed/issues/162
+ local -x COLORTERM=
+ # Ignore coverage options
+ epytest --override-ini="addopts="
+}